Create a carrier service
curl --request POST \
--url https://clarus-api.com/api/carrier_services \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "carrier_services",
"attributes": {
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"carrier_id": 57,
"is_default": true,
"active": true
}
}
}
'import requests
url = "https://clarus-api.com/api/carrier_services"
payload = { "data": {
"type": "carrier_services",
"attributes": {
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"carrier_id": 57,
"is_default": True,
"active": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'carrier_services',
attributes: {
code: 'RM1CLS',
name: 'Royal Mail 1st Class',
carrier_id: 57,
is_default: true,
active: true
}
}
})
};
fetch('https://clarus-api.com/api/carrier_services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"active": true,
"is_default": true,
"carrier_id": 57
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Carriers: Services
Create a carrier service
Create a carrier service.
POST
/
api
/
carrier_services
Create a carrier service
curl --request POST \
--url https://clarus-api.com/api/carrier_services \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "carrier_services",
"attributes": {
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"carrier_id": 57,
"is_default": true,
"active": true
}
}
}
'import requests
url = "https://clarus-api.com/api/carrier_services"
payload = { "data": {
"type": "carrier_services",
"attributes": {
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"carrier_id": 57,
"is_default": True,
"active": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'carrier_services',
attributes: {
code: 'RM1CLS',
name: 'Royal Mail 1st Class',
carrier_id: 57,
is_default: true,
active: true
}
}
})
};
fetch('https://clarus-api.com/api/carrier_services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"active": true,
"is_default": true,
"carrier_id": 57
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Request Structure
{
"data": {
"type": "carrier_services",
"attributes": {
"code": "RM1CLS",
"name": "Royal Mail 1st Class",
"carrier_id": 57,
"is_default": true,
"active": true
}
}
}
Key Fields
| Field | Required | Description |
|---|---|---|
code | Yes | Service code (max 30) |
name | Yes | Service name (max 50) |
carrier_id | Yes | Parent carrier |
is_default | Yes | Default-service flag |
active | Yes | Active flag |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Body
application/json
Show child attributes
Show child attributes
Response
Created successfully
The response is of type object.
⌘I

